Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 12/12/2019, à 20:38

Typhoon21

[Résolu] (Ré)Installer Pulseaudio : problème de dépendance libpulse0

Bonjour,

Je suis sous Ubuntu 18.04 avec unity (Thinkpad T440p).
J'ai désinstallé pulseaudio après avoir lu qu'il n'était qu'une surcouche d'alsa, pour voir si alsa tout seul marchait...Et bien non, je n'ai aucun son (même en bidouillant alsamixer, en changeant les cartes son car il met la HDMI automatiquement),
et pour en rajouter je ne peux plus réinstaller pulseaudio ! Ca m'apprendra à être curieuse, maintenant je n'ai plus de son du tout lol

annaelle@thinkpad-de-annaelleb:~$ sudo apt install pulseaudio
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 pulseaudio : Dépend: libpulse0 (= 1:11.1-1ubuntu7.4) mais 1:11.1-1ubuntu7.5 devra être installé
              Dépend: pulseaudio-utils mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Donc celui qui pose problème c'est lui

annaelle@thinkpad-de-annaelleb:~$ apt-cache policy libpulse0
libpulse0:
  Installé : 1:11.1-1ubuntu7.5
  Candidat : 1:11.1-1ubuntu7.5
 Table de version :
 *** 1:11.1-1ubuntu7.5 100
        100 /var/lib/dpkg/status
     1:11.1-1ubuntu7.4 500
        500 http://fr.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
     1:11.1-1ubuntu7 500
        500 http://fr.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

J'ai essayé de forcer la version de libpulse0 en 7.4, mais synaptic me prévient que cela nécessite la désinstallation de nombreux paquets (dont gnome-shell, ubuntu-session, unity-session...) donc j'ai moyennement envie de le faire...

Voilà mes dépôts :

 
annaelle@thinkpad-de-annaelleb:~$ sudo apt update
[sudo] Mot de passe de annaelle : 
Atteint :1 https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/ InRelease
Atteint :2 http://ppa.launchpad.net/atareao/atareao/ubuntu bionic InRelease
Atteint :3 http://fr.archive.ubuntu.com/ubuntu bionic InRelease
Atteint :4 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease                                                   
Réception de :5 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]                                     
Réception de :6 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [38,5 kB]
Réception de :7 http://security.ubuntu.com/ubuntu bionic-security/main DEP-11 48x48 Icons [17,6 kB]
Réception de :8 http://security.ubuntu.com/ubuntu bionic-security/main DEP-11 64x64 Icons [41,5 kB]
Réception de :9 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2464 B]
Réception de :10 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [42,0 kB]
Réception de :11 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [16,4 kB]
Réception de :12 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [113 kB]
360 ko réceptionnés en 4s (98,0 ko/s)                          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.

J'ai trouvé deux sujets
https://askubuntu.com/questions/1028824 … untu-16-04

https://askubuntu.com/questions/1102896 … pulseaudio

Le deuxième correspond bien j'ai l'impression, mais j'ai du mal à comprendre la résolution
Inutile de préciser que je ne suis pas une pro de Linux !
Si il y a une âme charitable qui veut bien m'aider, je lui en serait reconnaissant smile
Merci

---
EDIT

Pour ceux que ça intéresse, j'ai résolu mon problème : pulseaudio 1:11.1-1ubuntu7.5 existait mais seulement disponible dans ubuntu/bionic-proposed hier (12/12/2019)...
donc il m'a suffit de l'activer le temps de télécharger pulseaudio.

Logiciels & Mises à jour > Options de développement > Mises à jour en préversion

sudo apt install pulseaudio

Dernière modification par Typhoon21 (Le 13/12/2019, à 12:40)

Hors ligne

#2 Le 01/01/2020, à 14:03

tibo

Re : [Résolu] (Ré)Installer Pulseaudio : problème de dépendance libpulse0

Merci d'avoir partagé la solution, ça m'a débloqué comme j'avais le même genre de problème smile


Tibo

Hors ligne